<?php
/**
* Social profiles options
*
* @package GridMag WordPress Theme
* @copyright Copyright (C) 2023 ThemesDNA
* @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
* @author ThemesDNA <themesdna@gmail.com>
*/

function gridmag_social_profiles($wp_customize) {

    $wp_customize->add_section( 'gridmag_section_social', array( 'title' => esc_html__( 'Footer Social Buttons', 'gridmag' ), 'panel' => 'gridmag_main_options_panel', 'priority' => 400, ));

    $wp_customize->add_setting( 'gridmag_options[hide_footer_social_buttons]', array( 'default' => false, 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'gridmag_sanitize_checkbox', ) );

    $wp_customize->add_control( 'gridmag_hide_footer_social_buttons_control', array( 'label' => esc_html__( 'Hide Footer Social + Search + Login/Logout Buttons', 'gridmag' ), 'description' => esc_html__('If you checked this option, all buttons will disappear from footer. There is no any effect from "Hide Search Button from Footer" and "Hide Login/Logout Button from Footer" options.', 'gridmag'), 'section' => 'gridmag_section_social', 'settings' => 'gridmag_options[hide_footer_social_buttons]', 'type' => 'checkbox', ) );

    $wp_customize->add_setting( 'gridmag_options[hide_search_button]', array( 'default' => false, 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'gridmag_sanitize_checkbox', ) );

    $wp_customize->add_control( 'gridmag_hide_search_button_control', array( 'label' => esc_html__( 'Hide Search Button from Footer', 'gridmag' ), 'description' => esc_html__('This option has no effect if you checked the option: "Hide Footer Social + Search + Login/Logout Buttons"', 'gridmag'), 'section' => 'gridmag_section_social', 'settings' => 'gridmag_options[hide_search_button]', 'type' => 'checkbox', ) );

    $wp_customize->add_setting( 'gridmag_options[hide_login_button]', array( 'default' => false, 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'gridmag_sanitize_checkbox', ) );

    $wp_customize->add_control( 'gridmag_hide_login_button_control', array( 'label' => esc_html__( 'Hide Login/Logout Button from Footer', 'gridmag' ), 'description' => esc_html__('This option has no effect if you checked the option: "Hide Footer Social + Search + Login/Logout Buttons"', 'gridmag'), 'section' => 'gridmag_section_social', 'settings' => 'gridmag_options[hide_login_button]', 'type' => 'checkbox', ) );

    $wp_customize->add_setting( 'gridmag_options[twitterlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmag_twitterlink_control', array( 'label' => esc_html__( 'Twitter URL', 'gridmag' ), 'section' => 'gridmag_section_social', 'settings' => 'gridmag_options[twitterlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmag_options[facebooklink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmag_facebooklink_control', array( 'label' => esc_html__( 'Facebook URL', 'gridmag' ), 'section' => 'gridmag_section_social', 'settings' => 'gridmag_options[facebooklink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmag_options[googlelink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) ); 

    $wp_customize->add_control( 'gridmag_googlelink_control', array( 'label' => esc_html__( 'Google Plus URL', 'gridmag' ), 'section' => 'gridmag_section_social', 'settings' => 'gridmag_options[googlelink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmag_options[pinterestlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmag_pinterestlink_control', array( 'label' => esc_html__( 'Pinterest URL', 'gridmag' ), 'section' => 'gridmag_section_social', 'settings' => 'gridmag_options[pinterestlink]', 'type' => 'text' ) );
    
    $wp_customize->add_setting( 'gridmag_options[linkedinlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmag_linkedinlink_control', array( 'label' => esc_html__( 'Linkedin Link', 'gridmag' ), 'section' => 'gridmag_section_social', 'settings' => 'gridmag_options[linkedinlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmag_options[instagramlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmag_instagramlink_control', array( 'label' => esc_html__( 'Instagram Link', 'gridmag' ), 'section' => 'gridmag_section_social', 'settings' => 'gridmag_options[instagramlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmag_options[vklink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmag_vklink_control', array( 'label' => esc_html__( 'VK Link', 'gridmag' ), 'section' => 'gridmag_section_social', 'settings' => 'gridmag_options[vklink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmag_options[flickrlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmag_flickrlink_control', array( 'label' => esc_html__( 'Flickr Link', 'gridmag' ), 'section' => 'gridmag_section_social', 'settings' => 'gridmag_options[flickrlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmag_options[youtubelink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmag_youtubelink_control', array( 'label' => esc_html__( 'Youtube URL', 'gridmag' ), 'section' => 'gridmag_section_social', 'settings' => 'gridmag_options[youtubelink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmag_options[vimeolink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmag_vimeolink_control', array( 'label' => esc_html__( 'Vimeo URL', 'gridmag' ), 'section' => 'gridmag_section_social', 'settings' => 'gridmag_options[vimeolink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmag_options[soundcloudlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmag_soundcloudlink_control', array( 'label' => esc_html__( 'Soundcloud URL', 'gridmag' ), 'section' => 'gridmag_section_social', 'settings' => 'gridmag_options[soundcloudlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmag_options[messengerlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmag_messengerlink_control', array( 'label' => esc_html__( 'Messenger URL', 'gridmag' ), 'section' => 'gridmag_section_social', 'settings' => 'gridmag_options[messengerlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmag_options[whatsapplink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmag_whatsapplink_control', array( 'label' => esc_html__( 'WhatsApp URL', 'gridmag' ), 'section' => 'gridmag_section_social', 'settings' => 'gridmag_options[whatsapplink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmag_options[lastfmlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmag_lastfmlink_control', array( 'label' => esc_html__( 'Lastfm URL', 'gridmag' ), 'section' => 'gridmag_section_social', 'settings' => 'gridmag_options[lastfmlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmag_options[mediumlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmag_mediumlink_control', array( 'label' => esc_html__( 'Medium URL', 'gridmag' ), 'section' => 'gridmag_section_social', 'settings' => 'gridmag_options[mediumlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmag_options[githublink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmag_githublink_control', array( 'label' => esc_html__( 'Github URL', 'gridmag' ), 'section' => 'gridmag_section_social', 'settings' => 'gridmag_options[githublink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmag_options[bitbucketlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmag_bitbucketlink_control', array( 'label' => esc_html__( 'Bitbucket URL', 'gridmag' ), 'section' => 'gridmag_section_social', 'settings' => 'gridmag_options[bitbucketlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmag_options[tumblrlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmag_tumblrlink_control', array( 'label' => esc_html__( 'Tumblr URL', 'gridmag' ), 'section' => 'gridmag_section_social', 'settings' => 'gridmag_options[tumblrlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmag_options[digglink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmag_digglink_control', array( 'label' => esc_html__( 'Digg URL', 'gridmag' ), 'section' => 'gridmag_section_social', 'settings' => 'gridmag_options[digglink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmag_options[deliciouslink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmag_deliciouslink_control', array( 'label' => esc_html__( 'Delicious URL', 'gridmag' ), 'section' => 'gridmag_section_social', 'settings' => 'gridmag_options[deliciouslink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmag_options[stumblelink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmag_stumblelink_control', array( 'label' => esc_html__( 'Stumbleupon URL', 'gridmag' ), 'section' => 'gridmag_section_social', 'settings' => 'gridmag_options[stumblelink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmag_options[mixlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmag_mixlink_control', array( 'label' => esc_html__( 'Mix URL', 'gridmag' ), 'section' => 'gridmag_section_social', 'settings' => 'gridmag_options[mixlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmag_options[redditlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmag_redditlink_control', array( 'label' => esc_html__( 'Reddit URL', 'gridmag' ), 'section' => 'gridmag_section_social', 'settings' => 'gridmag_options[redditlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmag_options[dribbblelink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmag_dribbblelink_control', array( 'label' => esc_html__( 'Dribbble URL', 'gridmag' ), 'section' => 'gridmag_section_social', 'settings' => 'gridmag_options[dribbblelink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmag_options[flipboardlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmag_flipboardlink_control', array( 'label' => esc_html__( 'Flipboard URL', 'gridmag' ), 'section' => 'gridmag_section_social', 'settings' => 'gridmag_options[flipboardlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmag_options[bloggerlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmag_bloggerlink_control', array( 'label' => esc_html__( 'Blogger URL', 'gridmag' ), 'section' => 'gridmag_section_social', 'settings' => 'gridmag_options[bloggerlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmag_options[etsylink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmag_etsylink_control', array( 'label' => esc_html__( 'Etsy URL', 'gridmag' ), 'section' => 'gridmag_section_social', 'settings' => 'gridmag_options[etsylink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmag_options[behancelink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmag_behancelink_control', array( 'label' => esc_html__( 'Behance URL', 'gridmag' ), 'section' => 'gridmag_section_social', 'settings' => 'gridmag_options[behancelink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmag_options[amazonlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmag_amazonlink_control', array( 'label' => esc_html__( 'Amazon URL', 'gridmag' ), 'section' => 'gridmag_section_social', 'settings' => 'gridmag_options[amazonlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmag_options[meetuplink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmag_meetuplink_control', array( 'label' => esc_html__( 'Meetup URL', 'gridmag' ), 'section' => 'gridmag_section_social', 'settings' => 'gridmag_options[meetuplink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmag_options[mixcloudlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmag_mixcloudlink_control', array( 'label' => esc_html__( 'Mixcloud URL', 'gridmag' ), 'section' => 'gridmag_section_social', 'settings' => 'gridmag_options[mixcloudlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmag_options[slacklink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmag_slacklink_control', array( 'label' => esc_html__( 'Slack URL', 'gridmag' ), 'section' => 'gridmag_section_social', 'settings' => 'gridmag_options[slacklink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmag_options[snapchatlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmag_snapchatlink_control', array( 'label' => esc_html__( 'Snapchat URL', 'gridmag' ), 'section' => 'gridmag_section_social', 'settings' => 'gridmag_options[snapchatlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmag_options[spotifylink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmag_spotifylink_control', array( 'label' => esc_html__( 'Spotify URL', 'gridmag' ), 'section' => 'gridmag_section_social', 'settings' => 'gridmag_options[spotifylink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmag_options[yelplink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmag_yelplink_control', array( 'label' => esc_html__( 'Yelp URL', 'gridmag' ), 'section' => 'gridmag_section_social', 'settings' => 'gridmag_options[yelplink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmag_options[wordpresslink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmag_wordpresslink_control', array( 'label' => esc_html__( 'WordPress URL', 'gridmag' ), 'section' => 'gridmag_section_social', 'settings' => 'gridmag_options[wordpresslink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmag_options[twitchlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmag_twitchlink_control', array( 'label' => esc_html__( 'Twitch URL', 'gridmag' ), 'section' => 'gridmag_section_social', 'settings' => 'gridmag_options[twitchlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmag_options[telegramlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmag_telegramlink_control', array( 'label' => esc_html__( 'Telegram URL', 'gridmag' ), 'section' => 'gridmag_section_social', 'settings' => 'gridmag_options[telegramlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmag_options[bandcamplink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmag_bandcamplink_control', array( 'label' => esc_html__( 'Bandcamp URL', 'gridmag' ), 'section' => 'gridmag_section_social', 'settings' => 'gridmag_options[bandcamplink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmag_options[quoralink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmag_quoralink_control', array( 'label' => esc_html__( 'Quora URL', 'gridmag' ), 'section' => 'gridmag_section_social', 'settings' => 'gridmag_options[quoralink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmag_options[foursquarelink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmag_foursquarelink_control', array( 'label' => esc_html__( 'Foursquare URL', 'gridmag' ), 'section' => 'gridmag_section_social', 'settings' => 'gridmag_options[foursquarelink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmag_options[deviantartlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmag_deviantartlink_control', array( 'label' => esc_html__( 'DeviantArt URL', 'gridmag' ), 'section' => 'gridmag_section_social', 'settings' => 'gridmag_options[deviantartlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmag_options[imdblink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmag_imdblink_control', array( 'label' => esc_html__( 'IMDB URL', 'gridmag' ), 'section' => 'gridmag_section_social', 'settings' => 'gridmag_options[imdblink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmag_options[codepenlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmag_codepenlink_control', array( 'label' => esc_html__( 'Codepen URL', 'gridmag' ), 'section' => 'gridmag_section_social', 'settings' => 'gridmag_options[codepenlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmag_options[jsfiddlelink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmag_jsfiddlelink_control', array( 'label' => esc_html__( 'JSFiddle URL', 'gridmag' ), 'section' => 'gridmag_section_social', 'settings' => 'gridmag_options[jsfiddlelink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmag_options[stackoverflowlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmag_stackoverflowlink_control', array( 'label' => esc_html__( 'Stack Overflow URL', 'gridmag' ), 'section' => 'gridmag_section_social', 'settings' => 'gridmag_options[stackoverflowlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmag_options[stackexchangelink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmag_stackexchangelink_control', array( 'label' => esc_html__( 'Stack Exchange URL', 'gridmag' ), 'section' => 'gridmag_section_social', 'settings' => 'gridmag_options[stackexchangelink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmag_options[bsalink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmag_bsalink_control', array( 'label' => esc_html__( 'BuySellAds URL', 'gridmag' ), 'section' => 'gridmag_section_social', 'settings' => 'gridmag_options[bsalink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmag_options[web500pxlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmag_web500pxlink_control', array( 'label' => esc_html__( '500px URL', 'gridmag' ), 'section' => 'gridmag_section_social', 'settings' => 'gridmag_options[web500pxlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmag_options[ellolink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmag_ellolink_control', array( 'label' => esc_html__( 'Ello URL', 'gridmag' ), 'section' => 'gridmag_section_social', 'settings' => 'gridmag_options[ellolink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmag_options[goodreadslink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmag_goodreadslink_control', array( 'label' => esc_html__( 'Goodreads URL', 'gridmag' ), 'section' => 'gridmag_section_social', 'settings' => 'gridmag_options[goodreadslink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmag_options[odnoklassnikilink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmag_odnoklassnikilink_control', array( 'label' => esc_html__( 'Odnoklassniki URL', 'gridmag' ), 'section' => 'gridmag_section_social', 'settings' => 'gridmag_options[odnoklassnikilink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmag_options[houzzlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmag_houzzlink_control', array( 'label' => esc_html__( 'Houzz URL', 'gridmag' ), 'section' => 'gridmag_section_social', 'settings' => 'gridmag_options[houzzlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmag_options[pocketlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmag_pocketlink_control', array( 'label' => esc_html__( 'Pocket URL', 'gridmag' ), 'section' => 'gridmag_section_social', 'settings' => 'gridmag_options[pocketlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmag_options[xinglink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmag_xinglink_control', array( 'label' => esc_html__( 'XING URL', 'gridmag' ), 'section' => 'gridmag_section_social', 'settings' => 'gridmag_options[xinglink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmag_options[googleplaylink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmag_googleplaylink_control', array( 'label' => esc_html__( 'Google Play URL', 'gridmag' ), 'section' => 'gridmag_section_social', 'settings' => 'gridmag_options[googleplaylink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmag_options[slidesharelink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmag_slidesharelink_control', array( 'label' => esc_html__( 'SlideShare URL', 'gridmag' ), 'section' => 'gridmag_section_social', 'settings' => 'gridmag_options[slidesharelink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmag_options[dropboxlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmag_dropboxlink_control', array( 'label' => esc_html__( 'Dropbox URL', 'gridmag' ), 'section' => 'gridmag_section_social', 'settings' => 'gridmag_options[dropboxlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmag_options[paypallink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmag_paypallink_control', array( 'label' => esc_html__( 'PayPal URL', 'gridmag' ), 'section' => 'gridmag_section_social', 'settings' => 'gridmag_options[paypallink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmag_options[viadeolink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmag_viadeolink_control', array( 'label' => esc_html__( 'Viadeo URL', 'gridmag' ), 'section' => 'gridmag_section_social', 'settings' => 'gridmag_options[viadeolink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmag_options[wikipedialink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmag_wikipedialink_control', array( 'label' => esc_html__( 'Wikipedia URL', 'gridmag' ), 'section' => 'gridmag_section_social', 'settings' => 'gridmag_options[wikipedialink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmag_options[skypeusername]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'sanitize_text_field' ) );

    $wp_customize->add_control( 'gridmag_skypeusername_control', array( 'label' => esc_html__( 'Skype Username', 'gridmag' ), 'section' => 'gridmag_section_social', 'settings' => 'gridmag_options[skypeusername]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmag_options[emailaddress]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'gridmag_sanitize_email' ) );

    $wp_customize->add_control( 'gridmag_emailaddress_control', array( 'label' => esc_html__( 'Email Address', 'gridmag' ), 'section' => 'gridmag_section_social', 'settings' => 'gridmag_options[emailaddress]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmag_options[rsslink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmag_rsslink_control', array( 'label' => esc_html__( 'RSS Feed URL', 'gridmag' ), 'section' => 'gridmag_section_social', 'settings' => 'gridmag_options[rsslink]', 'type' => 'text' ) );


    // Header Social Buttons
    $wp_customize->add_section( 'gridmag_section_social_header', array( 'title' => esc_html__( 'Header Social Buttons', 'gridmag' ), 'panel' => 'gridmag_main_options_panel', 'priority' => 395, ));

    $wp_customize->add_setting( 'gridmag_options[hide_header_social_buttons]', array( 'default' => false, 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'gridmag_sanitize_checkbox', ) );

    $wp_customize->add_control( 'gridmag_hide_header_social_buttons_control', array( 'label' => esc_html__( 'Hide Header Social + Search + Login/Logout Buttons', 'gridmag' ), 'description' => esc_html__('If you checked this option, all buttons will disappear from header. There is no any effect from "Hide Search Button from Header" and "Hide Login/Logout Button from Header" options.', 'gridmag'), 'section' => 'gridmag_section_social_header', 'settings' => 'gridmag_options[hide_header_social_buttons]', 'type' => 'checkbox', ) );

    $wp_customize->add_setting( 'gridmag_options[hide_search_button_header]', array( 'default' => false, 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'gridmag_sanitize_checkbox', ) );

    $wp_customize->add_control( 'gridmag_hide_search_button_header_control', array( 'label' => esc_html__( 'Hide Search Button from Header', 'gridmag' ), 'description' => esc_html__('This option has no effect if you checked the option: "Hide Header Social + Search + Login/Logout Buttons"', 'gridmag'), 'section' => 'gridmag_section_social_header', 'settings' => 'gridmag_options[hide_search_button_header]', 'type' => 'checkbox', ) );

    $wp_customize->add_setting( 'gridmag_options[hide_login_button_header]', array( 'default' => false, 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'gridmag_sanitize_checkbox', ) );

    $wp_customize->add_control( 'gridmag_hide_login_button_header_control', array( 'label' => esc_html__( 'Hide Login/Logout Button from Header', 'gridmag' ), 'description' => esc_html__('This option has no effect if you checked the option: "Hide Header Social + Search + Login/Logout Buttons"', 'gridmag'), 'section' => 'gridmag_section_social_header', 'settings' => 'gridmag_options[hide_login_button_header]', 'type' => 'checkbox', ) );

    $wp_customize->add_setting( 'gridmag_options[twitterbutton]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmag_twitterbutton_control', array( 'label' => esc_html__( 'Twitter URL', 'gridmag' ), 'section' => 'gridmag_section_social_header', 'settings' => 'gridmag_options[twitterbutton]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmag_options[facebookbutton]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmag_facebookbutton_control', array( 'label' => esc_html__( 'Facebook URL', 'gridmag' ), 'section' => 'gridmag_section_social_header', 'settings' => 'gridmag_options[facebookbutton]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmag_options[googlebutton]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) ); 

    $wp_customize->add_control( 'gridmag_googlebutton_control', array( 'label' => esc_html__( 'Google Plus URL', 'gridmag' ), 'section' => 'gridmag_section_social_header', 'settings' => 'gridmag_options[googlebutton]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmag_options[pinterestbutton]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmag_pinterestbutton_control', array( 'label' => esc_html__( 'Pinterest URL', 'gridmag' ), 'section' => 'gridmag_section_social_header', 'settings' => 'gridmag_options[pinterestbutton]', 'type' => 'text' ) );
    
    $wp_customize->add_setting( 'gridmag_options[linkedinbutton]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmag_linkedinbutton_control', array( 'label' => esc_html__( 'Linkedin Link', 'gridmag' ), 'section' => 'gridmag_section_social_header', 'settings' => 'gridmag_options[linkedinbutton]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmag_options[instagrambutton]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmag_instagrambutton_control', array( 'label' => esc_html__( 'Instagram Link', 'gridmag' ), 'section' => 'gridmag_section_social_header', 'settings' => 'gridmag_options[instagrambutton]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmag_options[vkbutton]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmag_vkbutton_control', array( 'label' => esc_html__( 'VK Link', 'gridmag' ), 'section' => 'gridmag_section_social_header', 'settings' => 'gridmag_options[vkbutton]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmag_options[flickrbutton]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmag_flickrbutton_control', array( 'label' => esc_html__( 'Flickr Link', 'gridmag' ), 'section' => 'gridmag_section_social_header', 'settings' => 'gridmag_options[flickrbutton]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmag_options[youtubebutton]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmag_youtubebutton_control', array( 'label' => esc_html__( 'Youtube URL', 'gridmag' ), 'section' => 'gridmag_section_social_header', 'settings' => 'gridmag_options[youtubebutton]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmag_options[vimeobutton]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmag_vimeobutton_control', array( 'label' => esc_html__( 'Vimeo URL', 'gridmag' ), 'section' => 'gridmag_section_social_header', 'settings' => 'gridmag_options[vimeobutton]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmag_options[soundcloudbutton]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmag_soundcloudbutton_control', array( 'label' => esc_html__( 'Soundcloud URL', 'gridmag' ), 'section' => 'gridmag_section_social_header', 'settings' => 'gridmag_options[soundcloudbutton]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmag_options[messengerbutton]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmag_messengerbutton_control', array( 'label' => esc_html__( 'Messenger URL', 'gridmag' ), 'section' => 'gridmag_section_social_header', 'settings' => 'gridmag_options[messengerbutton]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmag_options[whatsappbutton]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmag_whatsappbutton_control', array( 'label' => esc_html__( 'WhatsApp URL', 'gridmag' ), 'section' => 'gridmag_section_social_header', 'settings' => 'gridmag_options[whatsappbutton]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmag_options[lastfmbutton]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmag_lastfmbutton_control', array( 'label' => esc_html__( 'Lastfm URL', 'gridmag' ), 'section' => 'gridmag_section_social_header', 'settings' => 'gridmag_options[lastfmbutton]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmag_options[mediumbutton]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmag_mediumbutton_control', array( 'label' => esc_html__( 'Medium URL', 'gridmag' ), 'section' => 'gridmag_section_social_header', 'settings' => 'gridmag_options[mediumbutton]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmag_options[githubbutton]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmag_githubbutton_control', array( 'label' => esc_html__( 'Github URL', 'gridmag' ), 'section' => 'gridmag_section_social_header', 'settings' => 'gridmag_options[githubbutton]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmag_options[bitbucketbutton]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmag_bitbucketbutton_control', array( 'label' => esc_html__( 'Bitbucket URL', 'gridmag' ), 'section' => 'gridmag_section_social_header', 'settings' => 'gridmag_options[bitbucketbutton]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmag_options[tumblrbutton]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmag_tumblrbutton_control', array( 'label' => esc_html__( 'Tumblr URL', 'gridmag' ), 'section' => 'gridmag_section_social_header', 'settings' => 'gridmag_options[tumblrbutton]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmag_options[diggbutton]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmag_diggbutton_control', array( 'label' => esc_html__( 'Digg URL', 'gridmag' ), 'section' => 'gridmag_section_social_header', 'settings' => 'gridmag_options[diggbutton]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmag_options[deliciousbutton]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmag_deliciousbutton_control', array( 'label' => esc_html__( 'Delicious URL', 'gridmag' ), 'section' => 'gridmag_section_social_header', 'settings' => 'gridmag_options[deliciousbutton]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmag_options[stumblebutton]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmag_stumblebutton_control', array( 'label' => esc_html__( 'Stumbleupon URL', 'gridmag' ), 'section' => 'gridmag_section_social_header', 'settings' => 'gridmag_options[stumblebutton]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmag_options[mixbutton]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmag_mixbutton_control', array( 'label' => esc_html__( 'Mix URL', 'gridmag' ), 'section' => 'gridmag_section_social_header', 'settings' => 'gridmag_options[mixbutton]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmag_options[redditbutton]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmag_redditbutton_control', array( 'label' => esc_html__( 'Reddit URL', 'gridmag' ), 'section' => 'gridmag_section_social_header', 'settings' => 'gridmag_options[redditbutton]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmag_options[dribbblebutton]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmag_dribbblebutton_control', array( 'label' => esc_html__( 'Dribbble URL', 'gridmag' ), 'section' => 'gridmag_section_social_header', 'settings' => 'gridmag_options[dribbblebutton]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmag_options[flipboardbutton]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmag_flipboardbutton_control', array( 'label' => esc_html__( 'Flipboard URL', 'gridmag' ), 'section' => 'gridmag_section_social_header', 'settings' => 'gridmag_options[flipboardbutton]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmag_options[bloggerbutton]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmag_bloggerbutton_control', array( 'label' => esc_html__( 'Blogger URL', 'gridmag' ), 'section' => 'gridmag_section_social_header', 'settings' => 'gridmag_options[bloggerbutton]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmag_options[etsybutton]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmag_etsybutton_control', array( 'label' => esc_html__( 'Etsy URL', 'gridmag' ), 'section' => 'gridmag_section_social_header', 'settings' => 'gridmag_options[etsybutton]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmag_options[behancebutton]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmag_behancebutton_control', array( 'label' => esc_html__( 'Behance URL', 'gridmag' ), 'section' => 'gridmag_section_social_header', 'settings' => 'gridmag_options[behancebutton]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmag_options[amazonbutton]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmag_amazonbutton_control', array( 'label' => esc_html__( 'Amazon URL', 'gridmag' ), 'section' => 'gridmag_section_social_header', 'settings' => 'gridmag_options[amazonbutton]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmag_options[meetupbutton]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmag_meetupbutton_control', array( 'label' => esc_html__( 'Meetup URL', 'gridmag' ), 'section' => 'gridmag_section_social_header', 'settings' => 'gridmag_options[meetupbutton]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmag_options[mixcloudbutton]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmag_mixcloudbutton_control', array( 'label' => esc_html__( 'Mixcloud URL', 'gridmag' ), 'section' => 'gridmag_section_social_header', 'settings' => 'gridmag_options[mixcloudbutton]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmag_options[slackbutton]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmag_slackbutton_control', array( 'label' => esc_html__( 'Slack URL', 'gridmag' ), 'section' => 'gridmag_section_social_header', 'settings' => 'gridmag_options[slackbutton]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmag_options[snapchatbutton]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmag_snapchatbutton_control', array( 'label' => esc_html__( 'Snapchat URL', 'gridmag' ), 'section' => 'gridmag_section_social_header', 'settings' => 'gridmag_options[snapchatbutton]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmag_options[spotifybutton]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmag_spotifybutton_control', array( 'label' => esc_html__( 'Spotify URL', 'gridmag' ), 'section' => 'gridmag_section_social_header', 'settings' => 'gridmag_options[spotifybutton]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmag_options[yelpbutton]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmag_yelpbutton_control', array( 'label' => esc_html__( 'Yelp URL', 'gridmag' ), 'section' => 'gridmag_section_social_header', 'settings' => 'gridmag_options[yelpbutton]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmag_options[wordpressbutton]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmag_wordpressbutton_control', array( 'label' => esc_html__( 'WordPress URL', 'gridmag' ), 'section' => 'gridmag_section_social_header', 'settings' => 'gridmag_options[wordpressbutton]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmag_options[twitchbutton]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmag_twitchbutton_control', array( 'label' => esc_html__( 'Twitch URL', 'gridmag' ), 'section' => 'gridmag_section_social_header', 'settings' => 'gridmag_options[twitchbutton]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmag_options[telegrambutton]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmag_telegrambutton_control', array( 'label' => esc_html__( 'Telegram URL', 'gridmag' ), 'section' => 'gridmag_section_social_header', 'settings' => 'gridmag_options[telegrambutton]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmag_options[bandcampbutton]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmag_bandcampbutton_control', array( 'label' => esc_html__( 'Bandcamp URL', 'gridmag' ), 'section' => 'gridmag_section_social_header', 'settings' => 'gridmag_options[bandcampbutton]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmag_options[quorabutton]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmag_quorabutton_control', array( 'label' => esc_html__( 'Quora URL', 'gridmag' ), 'section' => 'gridmag_section_social_header', 'settings' => 'gridmag_options[quorabutton]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmag_options[foursquarebutton]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmag_foursquarebutton_control', array( 'label' => esc_html__( 'Foursquare URL', 'gridmag' ), 'section' => 'gridmag_section_social_header', 'settings' => 'gridmag_options[foursquarebutton]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmag_options[deviantartbutton]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmag_deviantartbutton_control', array( 'label' => esc_html__( 'DeviantArt URL', 'gridmag' ), 'section' => 'gridmag_section_social_header', 'settings' => 'gridmag_options[deviantartbutton]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmag_options[imdbbutton]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmag_imdbbutton_control', array( 'label' => esc_html__( 'IMDB URL', 'gridmag' ), 'section' => 'gridmag_section_social_header', 'settings' => 'gridmag_options[imdbbutton]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmag_options[codepenbutton]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmag_codepenbutton_control', array( 'label' => esc_html__( 'Codepen URL', 'gridmag' ), 'section' => 'gridmag_section_social_header', 'settings' => 'gridmag_options[codepenbutton]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmag_options[jsfiddlebutton]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmag_jsfiddlebutton_control', array( 'label' => esc_html__( 'JSFiddle URL', 'gridmag' ), 'section' => 'gridmag_section_social_header', 'settings' => 'gridmag_options[jsfiddlebutton]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmag_options[stackoverflowbutton]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmag_stackoverflowbutton_control', array( 'label' => esc_html__( 'Stack Overflow URL', 'gridmag' ), 'section' => 'gridmag_section_social_header', 'settings' => 'gridmag_options[stackoverflowbutton]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmag_options[stackexchangebutton]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmag_stackexchangebutton_control', array( 'label' => esc_html__( 'Stack Exchange URL', 'gridmag' ), 'section' => 'gridmag_section_social_header', 'settings' => 'gridmag_options[stackexchangebutton]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmag_options[bsabutton]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmag_bsabutton_control', array( 'label' => esc_html__( 'BuySellAds URL', 'gridmag' ), 'section' => 'gridmag_section_social_header', 'settings' => 'gridmag_options[bsabutton]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmag_options[web500pxbutton]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmag_web500pxbutton_control', array( 'label' => esc_html__( '500px URL', 'gridmag' ), 'section' => 'gridmag_section_social_header', 'settings' => 'gridmag_options[web500pxbutton]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmag_options[ellobutton]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmag_ellobutton_control', array( 'label' => esc_html__( 'Ello URL', 'gridmag' ), 'section' => 'gridmag_section_social_header', 'settings' => 'gridmag_options[ellobutton]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmag_options[goodreadsbutton]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmag_goodreadsbutton_control', array( 'label' => esc_html__( 'Goodreads URL', 'gridmag' ), 'section' => 'gridmag_section_social_header', 'settings' => 'gridmag_options[goodreadsbutton]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmag_options[odnoklassnikibutton]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmag_odnoklassnikibutton_control', array( 'label' => esc_html__( 'Odnoklassniki URL', 'gridmag' ), 'section' => 'gridmag_section_social_header', 'settings' => 'gridmag_options[odnoklassnikibutton]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmag_options[houzzbutton]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmag_houzzbutton_control', array( 'label' => esc_html__( 'Houzz URL', 'gridmag' ), 'section' => 'gridmag_section_social_header', 'settings' => 'gridmag_options[houzzbutton]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmag_options[pocketbutton]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmag_pocketbutton_control', array( 'label' => esc_html__( 'Pocket URL', 'gridmag' ), 'section' => 'gridmag_section_social_header', 'settings' => 'gridmag_options[pocketbutton]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmag_options[xingbutton]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmag_xingbutton_control', array( 'label' => esc_html__( 'XING URL', 'gridmag' ), 'section' => 'gridmag_section_social_header', 'settings' => 'gridmag_options[xingbutton]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmag_options[googleplaybutton]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmag_googleplaybutton_control', array( 'label' => esc_html__( 'Google Play URL', 'gridmag' ), 'section' => 'gridmag_section_social_header', 'settings' => 'gridmag_options[googleplaybutton]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmag_options[slidesharebutton]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmag_slidesharebutton_control', array( 'label' => esc_html__( 'SlideShare URL', 'gridmag' ), 'section' => 'gridmag_section_social_header', 'settings' => 'gridmag_options[slidesharebutton]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmag_options[dropboxbutton]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmag_dropboxbutton_control', array( 'label' => esc_html__( 'Dropbox URL', 'gridmag' ), 'section' => 'gridmag_section_social_header', 'settings' => 'gridmag_options[dropboxbutton]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmag_options[paypalbutton]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmag_paypalbutton_control', array( 'label' => esc_html__( 'PayPal URL', 'gridmag' ), 'section' => 'gridmag_section_social_header', 'settings' => 'gridmag_options[paypalbutton]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmag_options[viadeobutton]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmag_viadeobutton_control', array( 'label' => esc_html__( 'Viadeo URL', 'gridmag' ), 'section' => 'gridmag_section_social_header', 'settings' => 'gridmag_options[viadeobutton]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmag_options[wikipediabutton]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmag_wikipediabutton_control', array( 'label' => esc_html__( 'Wikipedia URL', 'gridmag' ), 'section' => 'gridmag_section_social_header', 'settings' => 'gridmag_options[wikipediabutton]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmag_options[skypeusernamebutton]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'sanitize_text_field' ) );

    $wp_customize->add_control( 'gridmag_skypeusernamebutton_control', array( 'label' => esc_html__( 'Skype Username', 'gridmag' ), 'section' => 'gridmag_section_social_header', 'settings' => 'gridmag_options[skypeusernamebutton]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmag_options[emailaddressbutton]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'gridmag_sanitize_email' ) );

    $wp_customize->add_control( 'gridmag_emailaddressbutton_control', array( 'label' => esc_html__( 'Email Address', 'gridmag' ), 'section' => 'gridmag_section_social_header', 'settings' => 'gridmag_options[emailaddressbutton]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'gridmag_options[rssbutton]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'gridmag_rssbutton_control', array( 'label' => esc_html__( 'RSS Feed URL', 'gridmag' ), 'section' => 'gridmag_section_social_header', 'settings' => 'gridmag_options[rssbutton]', 'type' => 'text' ) );

}